## API Report File for "@fluentui/react-positioning"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

import type { GriffelStyle } from '@griffel/react';
import * as React_2 from 'react';

// @public (undocumented)
export type Alignment = 'top' | 'bottom' | 'start' | 'end' | 'center';

// @public (undocumented)
export type AutoSize = 'height' | 'height-always' | 'width' | 'width-always' | 'always' | boolean;

// @public (undocumented)
export type Boundary = HTMLElement | Array<HTMLElement> | 'clippingParents' | 'scrollParent' | 'window';

// @public
export function createArrowHeightStyles(arrowHeight: number): {
    width: string;
    height: string;
};

// @public
export function createArrowStyles(options: CreateArrowStylesOptions): GriffelStyle;

// @public
export type CreateArrowStylesOptions = {
    arrowHeight: number | undefined;
    borderWidth?: GriffelStyle['borderBottomWidth'];
    borderStyle?: GriffelStyle['borderBottomStyle'];
    borderColor?: GriffelStyle['borderBottomColor'];
};

// @public
export function createVirtualElementFromClick(nativeEvent: MouseEvent): PositioningVirtualElement;

// @public
export function mergeArrowOffset(userOffset: Offset | undefined | null, arrowHeight: number): Offset;

// @public (undocumented)
export type Offset = OffsetFunction | OffsetObject | OffsetShorthand;

// @public (undocumented)
export type OffsetFunction = (param: OffsetFunctionParam) => OffsetObject | OffsetShorthand;

// @public (undocumented)
export type OffsetFunctionParam = {
    positionedRect: Rect;
    targetRect: Rect;
    position: Position;
    alignment?: Alignment;
};

// @public (undocumented)
export type OffsetObject = {
    crossAxis?: number;
    mainAxis: number;
};

// @public (undocumented)
export type OffsetShorthand = number;

// @public (undocumented)
export type Position = 'above' | 'below' | 'before' | 'after';

// @public (undocumented)
export type PositioningImperativeRef = {
    updatePosition: () => void;
    setTarget: (target: HTMLElement | PositioningVirtualElement) => void;
};

// @public (undocumented)
export interface PositioningProps extends Omit<PositioningOptions, 'positionFixed' | 'unstable_disableTether'> {
    positioningRef?: React_2.Ref<PositioningImperativeRef>;
    target?: HTMLElement | PositioningVirtualElement | null;
}

// @public (undocumented)
export type PositioningShorthand = PositioningProps | PositioningShorthandValue;

// @public (undocumented)
export type PositioningShorthandValue = 'above' | 'above-start' | 'above-end' | 'below' | 'below-start' | 'below-end' | 'before' | 'before-top' | 'before-bottom' | 'after' | 'after-top' | 'after-bottom';

// @public (undocumented)
export type PositioningVirtualElement = {
    getBoundingClientRect: () => {
        x: number;
        y: number;
        top: number;
        left: number;
        bottom: number;
        right: number;
        width: number;
        height: number;
    };
    contextElement?: Element;
};

// @public (undocumented)
export function resolvePositioningShorthand(shorthand: PositioningShorthand | undefined | null): Readonly<PositioningProps>;

// @public
export function usePositioning(options?: UsePopperOptions): {
    targetRef: React_2.MutableRefObject<any>;
    containerRef: React_2.MutableRefObject<any>;
    arrowRef: React_2.MutableRefObject<any>;
};

// @public
export const usePositioningMouseTarget: (initialState?: PositioningVirtualElement | (() => PositioningVirtualElement) | undefined) => readonly [PositioningVirtualElement | undefined, (event: React_2.MouseEvent | MouseEvent | undefined | null) => void];

// (No @packageDocumentation comment for this package)

```
